###################################################
### chunk number 1: beforepkgs
###################################################
#line 10 "logit.survey.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "logit.survey.Rnw"
library(Zelig)
library(survey) 


###################################################
### chunk number 3: Existing.data
###################################################
#line 201 "logit.survey.Rnw"
data(api, package="survey") 


###################################################
### chunk number 4: Existing.zelig
###################################################
#line 213 "logit.survey.Rnw"
z.out1 <- zelig(yr.rnd ~ meals + mobility, model = "logit.survey", weights=~pw, data = apistrat)


###################################################
### chunk number 5: Existing.summary
###################################################
#line 217 "logit.survey.Rnw"
 summary(z.out1)


###################################################
### chunk number 6: Existing.setx
###################################################
#line 223 "logit.survey.Rnw"
x.low <- setx(z.out1, meals=quantile(apistrat$meals, 0.2)) 
x.high <- setx(z.out1, meals=quantile(apistrat$meals, 0.8)) 


###################################################
### chunk number 7: Existing.sim
###################################################
#line 230 "logit.survey.Rnw"
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 8: Existing.summary.sim
###################################################
#line 233 "logit.survey.Rnw"
 summary(s.out1)


###################################################
### chunk number 9: ExistingPlot
###################################################
#line 238 "logit.survey.Rnw"
 plot(s.out1)


###################################################
### chunk number 10: Complex.zelig
###################################################
#line 262 "logit.survey.Rnw"
z.out2 <- zelig(yr.rnd ~ meals + mobility, model = "logit.survey", strata=~stype, fpc=~fpc, data = apistrat)


###################################################
### chunk number 11: Complex.output
###################################################
#line 266 "logit.survey.Rnw"
summary(z.out2) 


###################################################
### chunk number 12: Replicate.data
###################################################
#line 286 "logit.survey.Rnw"
data(scd, package="survey") 


###################################################
### chunk number 13: Replicate.rw
###################################################
#line 295 "logit.survey.Rnw"
BRRrep<-2*cbind(c(1,0,1,0,1,0),c(1,0,0,1,0,1), c(0,1,1,0,0,1),c(0,1,0,1,1,0)) 
scd$sued <- as.vector(c(0,0,0,1,1,1))


###################################################
### chunk number 14: Replicate.zelig
###################################################
#line 303 "logit.survey.Rnw"
z.out3 <- zelig(formula=sued ~ arrests + alive , model = "logit.survey", 
  repweights=BRRrep, type="BRR", data=scd)


###################################################
### chunk number 15: Replicate.summary
###################################################
#line 308 "logit.survey.Rnw"
 summary(z.out3)


###################################################
### chunk number 16: Replicate.setx
###################################################
#line 312 "logit.survey.Rnw"
x.low <- setx(z.out3, arrests = quantile(scd$arrests, .2))
x.high <- setx(z.out3, arrests = quantile(scd$arrests,.8)) 


###################################################
### chunk number 17: Replicate.sim
###################################################
#line 319 "logit.survey.Rnw"
s.out3 <- sim(z.out3, x=x.high, x1=x.low)


###################################################
### chunk number 18: Replicate.summary.sim
###################################################
#line 322 "logit.survey.Rnw"
 summary(s.out3)


###################################################
### chunk number 19: ReplicatePlot
###################################################
#line 327 "logit.survey.Rnw"
 plot(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
#line 514 "logit.survey.Rnw"
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


