###################################################
### chunk number 1: beforepkgs
###################################################
#line 10 "normal.survey.Rnw"
 before=search()


###################################################
### chunk number 2: loadLibrary
###################################################
#line 14 "normal.survey.Rnw"
library(Zelig)
library(survey) 


###################################################
### chunk number 3: Existing.data
###################################################
#line 202 "normal.survey.Rnw"
data(api, package="survey") 


###################################################
### chunk number 4: Existing.zelig
###################################################
#line 214 "normal.survey.Rnw"
z.out1 <- zelig(api00 ~ meals + yr.rnd, model = "normal.survey",  weights=~pw,
data = apistrat) 


###################################################
### chunk number 5: Existing.summary
###################################################
#line 219 "normal.survey.Rnw"
 summary(z.out1)


###################################################
### chunk number 6: Existing.setx
###################################################
#line 225 "normal.survey.Rnw"
x.low <- setx(z.out1, meals=quantile(apistrat$meals, 0.2)) 
x.high <- setx(z.out1, meals=quantile(apistrat$meals, 0.8)) 


###################################################
### chunk number 7: Existing.sim
###################################################
#line 232 "normal.survey.Rnw"
 s.out1 <- sim(z.out1, x = x.high, x1 = x.low)


###################################################
### chunk number 8: Existing.summary.sim
###################################################
#line 235 "normal.survey.Rnw"
 summary(s.out1)


###################################################
### chunk number 9: ExistingPlot
###################################################
#line 240 "normal.survey.Rnw"
 plot(s.out1)


###################################################
### chunk number 10: Complex.zelig
###################################################
#line 264 "normal.survey.Rnw"
z.out2 <- zelig(api00 ~ meals + yr.rnd, 
model = "normal.survey", strata=~stype, fpc=~fpc, data = apistrat) 


###################################################
### chunk number 11: Complex.output
###################################################
#line 269 "normal.survey.Rnw"
summary(z.out2) 


###################################################
### chunk number 12: Replicate.data
###################################################
#line 289 "normal.survey.Rnw"
data(scd, package="survey") 


###################################################
### chunk number 13: Replicate.rw
###################################################
#line 297 "normal.survey.Rnw"
BRRrep<-2*cbind(c(1,0,1,0,1,0),c(1,0,0,1,0,1), c(0,1,1,0,0,1),c(0,1,0,1,1,0)) 


###################################################
### chunk number 14: Replicate.zelig
###################################################
#line 303 "normal.survey.Rnw"
z.out3 <- zelig(alive ~ arrests , model = "poisson.survey", 
  repweights=BRRrep, type="BRR", data=scd)


###################################################
### chunk number 15: Replicate.summary
###################################################
#line 308 "normal.survey.Rnw"
 summary(z.out3)


###################################################
### chunk number 16: Replicate.setx
###################################################
#line 312 "normal.survey.Rnw"
x.low <- setx(z.out3, arrests = quantile(scd$arrests, .2))
x.high <- setx(z.out3, arrests = quantile(scd$arrests,.8))


###################################################
### chunk number 17: Replicate.sim
###################################################
#line 319 "normal.survey.Rnw"
s.out3<- sim(z.out3, x=x.low, x1=x.high) 


###################################################
### chunk number 18: Replicate.summary.sim
###################################################
#line 322 "normal.survey.Rnw"
 summary(s.out3)


###################################################
### chunk number 19: ReplicatePlot
###################################################
#line 327 "normal.survey.Rnw"
 plot(s.out3)


###################################################
### chunk number 20: afterpkgs
###################################################
#line 506 "normal.survey.Rnw"
  after<-search()
  torm<-setdiff(after,before)
  for (pkg in torm)
  detach(pos=match(pkg,search()))


